PPI::Token::Number::Float(3pm)

NAME
PPI::Token::Number::Float - Token class for a floating-point number

SYNOPSIS
  $n = 1.234;

INHERITANCE
  PPI::Token::Number::Float
  isa PPI::Token::Number
      isa PPI::Token
          isa PPI::Element

DESCRIPTION
The "PPI::Token::Number::Float" class is used for tokens that represent floating point numbers. A float is identified by n decimal point. Exponential notation (the "e" or "E") is handled by the PPI::Token::Number::Exp class.

METHODS

  base
Returns the base for the number: 10.

  literal
Return the numeric value of this token.

SUPPORT
See the support section in the main module.

AUTHOR
Chris Dolan <cdolan@cpan.org>

COPYRIGHT
Copyright 2006 Chris Dolan.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.